[arch-commits] Commit in efl/repos (3 files)
Ronald van Haren
ronald at archlinux.org
Wed Aug 22 14:57:27 UTC 2018
Date: Wednesday, August 22, 2018 @ 14:57:27
Author: ronald
Revision: 332814
archrelease: copy trunk to testing-x86_64
Added:
efl/repos/testing-x86_64/
efl/repos/testing-x86_64/PKGBUILD
(from rev 332813, efl/trunk/PKGBUILD)
efl/repos/testing-x86_64/eina_doxygen.patch
(from rev 332813, efl/trunk/eina_doxygen.patch)
--------------------+
PKGBUILD | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++
eina_doxygen.patch | 10 +++++++
2 files changed, 81 insertions(+)
Copied: efl/repos/testing-x86_64/PKGBUILD (from rev 332813, efl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2018-08-22 14:57:27 UTC (rev 332814)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Ronald van Haren <ronald at archlinux.org>
+# Contributor: Enlightenment Developers <enlightenment-devel at enlightenment.org>
+
+pkgbase=efl
+pkgname=('efl' 'efl-docs')
+pkgver=1.21.0
+pkgrel=1
+pkgdesc="Enlightenment Foundation Libraries"
+arch=('x86_64')
+url="https://www.enlightenment.org"
+license=('BSD' 'LGPL2.1' 'GPL2' 'custom')
+depends=('bullet' 'libjpeg-turbo' 'gst-plugins-base'
+ 'luajit' 'curl' 'fribidi' 'libpulse' 'libxcomposite'
+ 'libxinerama' 'libxrandr' 'libxss' 'libinput'
+ 'libxcursor' 'libxp' 'libwebp' 'shared-mime-info'
+ 'libxkbcommon' 'libxkbcommon-x11' 'wayland' 'lz4' 'openjpeg' 'avahi'
+ 'libspectre' 'libraw' 'librsvg' 'wayland-protocols'
+ 'mesa')
+optdepends=('python2: einabench-cmp' 'libreoffice: thumbnailing for DOC/PPT/XLS files')
+makedepends=('doxygen' 'python' 'texlive-core' 'ghostscript' 'imagemagick')
+options=('!emptydirs')
+source=(https://download.enlightenment.org/rel/libs/${pkgname}/$pkgname-$pkgver.tar.xz)
+sha256sums=('7e65be78a537aa67e447b945f01f4ecf9ddfa14d509bf6bbf53a60253ecbae4b')
+
+prepare() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ sed -i 's/env python$/&2/' src/scripts/eina/eina-bench-cmp
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ export CFLAGS="$CFLAGS -fvisibility=hidden"
+
+ ./configure --prefix=/usr \
+ --disable-static --disable-tslib --enable-fb \
+ --enable-xinput22 --enable-multisense --enable-systemd \
+ --enable-image-loader-webp --enable-harfbuzz --enable-wayland \
+ --enable-liblz4 --enable-drm --enable-elput --enable-egl --with-opengl=es
+
+ make
+
+ cd doc
+ doxygen
+ #make -j1 doc || return 0 # don't fail on the docs
+}
+
+package_efl(){
+ replaces=('elementary' 'evas_generic_loaders' 'emotion_generic_players')
+
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make -j1 DESTDIR=${pkgdir} install
+
+ # install non-standard license files
+ install -Dm644 "${srcdir}/${pkgname}-${pkgver}/licenses/COPYING.BSD" \
+ "${pkgdir}/usr/share/licenses/${pkgname}/COPYING.BSD"
+ install -Dm644 "${srcdir}/${pkgname}-${pkgver}/licenses/COPYING.SMALL" \
+ "${pkgdir}/usr/share/licenses/${pkgname}/COPYING.SMALL"
+}
+
+package_efl-docs() {
+ pkgdesc="Documentation for the Enlightenment Foundation Libraries"
+ depends=()
+
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+ install -d "${pkgdir}/usr/share/doc/${pkgbase}"
+ cp -a doc/html "${pkgdir}/usr/share/doc/${pkgbase}/html"
+ cp -a doc/latex "${pkgdir}/usr/share/doc/${pkgbase}/latex"
+}
+
Copied: efl/repos/testing-x86_64/eina_doxygen.patch (from rev 332813, efl/trunk/eina_doxygen.patch)
===================================================================
--- testing-x86_64/eina_doxygen.patch (rev 0)
+++ testing-x86_64/eina_doxygen.patch 2018-08-22 14:57:27 UTC (rev 332814)
@@ -0,0 +1,10 @@
+--- src/lib/eina/eina_hamster.h 2013-02-16 12:52:32.000000000 +0100
++++ src/lib/eina/eina_hamster.h.new 2014-09-16 22:19:04.820163522 +0200
+@@ -24,7 +24,6 @@
+ *
+ * @brief These functions provide hamster calls.
+ *
+- * @{
+ */
+
+ /**
More information about the arch-commits
mailing list